## org.apache.mahout.utils.regex
Class RegexMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text>
          org.apache.mahout.utils.regex.RegexMapper

    public class RegexMapper

extends org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Field Summary
`static String` `ANALYZER_NAME`
`static String` `FORMATTER_CLASS`
`static String` `GROUP_MATCHERS`
`static String` `REGEX`
`static String` `TRANSFORMER_CLASS`

Constructor Summary
`RegexMapper()`

Method Summary
`protected void` `map(org.apache.hadoop.io.LongWritable key, org.apache.hadoop.io.Text text, org.apache.hadoop.mapreduce.Mapper.Context context)`
`protected void` `setup(org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REGEX

    public static final String REGEX

See Also:
  Constant Field Values

### GROUP_MATCHERS

    public static final String GROUP_MATCHERS

See Also:
  Constant Field Values

### TRANSFORMER_CLASS

    public static final String TRANSFORMER_CLASS

See Also:
  Constant Field Values

### FORMATTER_CLASS

    public static final String FORMATTER_CLASS

See Also:
  Constant Field Values

### ANALYZER_NAME

    public static final String ANALYZER_NAME

See Also:
  Constant Field Values

Constructor Detail

### RegexMapper

    public RegexMapper()

Method Detail

### setup

    protected void setup(org.apache.hadoop.mapreduce.Mapper.Context context)
                  throws IOException,
                         InterruptedException

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text>`
  Throws:
    `IOException`
    `InterruptedException`

### map

    protected void map(org.apache.hadoop.io.LongWritable key,
                       org.apache.hadoop.io.Text text,
                       org.apache.hadoop.mapreduce.Mapper.Context context)
                throws IOException,
                       InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.